package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOilGunNo;
import com.hfkj.entity.BsGasOilPrice;

import java.util.List;

/**
 * @className: BsGasOilGunNoService
 * @author: HuRui
 * @date: 2024/3/12
 **/
public interface BsGasOilGunNoService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsGasOilGunNo data);

    /**
     * 清除缓存
     * @param merNo
     */
    void cleanCache(String merNo);

    /**
     * 批量增加
     * @param dataList
     */
    void batchInsert(List<BsGasOilGunNo> dataList);

    /**
     *
     */
    void batchUpdate(List<BsGasOilGunNo> dataList);

    /**
     * 删除
     * @param gunNoId
     */
    void delete(Long gunNoId);

    /**
     * 删除
     * @param merNo
     */
    void delete(String merNo, String oilNo);

    /**
     * 查询油站枪号列表
     * @param merNo
     * @return
     */
    List<BsGasOilGunNo> getOilGunNoList(String merNo);

    /**
     * 查询油站枪号列表
     * @param merNo
     * @param oilNo
     * @return
     */
    List<BsGasOilGunNo> getOilGunNoList(String merNo,String oilNo);

    /**
     * 查询详情
     * @param merNo 商户号
     * @param oilNo 油品
     * @param gunNo 枪号
     * @return
     */
    BsGasOilGunNo getDetail(String merNo,String oilNo,String gunNo);

    /**
     * 查询详情
     * @param gunNoId
     * @return
     */
    BsGasOilGunNo getDetail(Long gunNoId);
}
